#ifndef INC_I2C_CODEC_H_
#define INC_I2C_CODEC_H_

#include "stm32h7xx_hal.h"

HAL_StatusTypeDef write_i2c_register(I2C_HandleTypeDef *hi2c1, uint8_t register_pointer, uint8_t register_value);

HAL_StatusTypeDef read_i2c_register(I2C_HandleTypeDef *hi2c1, uint8_t register_pointer, uint8_t* receive_buffer);

HAL_StatusTypeDef codec_init(I2C_HandleTypeDef *hi2c1);

HAL_StatusTypeDef codec_test(I2C_HandleTypeDef *hi2c1);

#endif /* INC_I2C_CODEC_H_ */
